<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS + CSS Clock</title>
</head>
<body>


    <div class="clock">
      <div class="clock-face">
        <div class="hand-hour"></div>
        <div class="hand-mins"></div>
        <div class="hand-seconds"></div>
      </div>
    </div>


  <style>
    html {
      background: #018DED url(http://unsplash.it/1500/1000?image=881&blur=5);
      background-size: cover;
      font-family: 'helvetica neue';
      text-align: center;
      font-size: 10px;
    }

    body {
      margin: 0;
      font-size: 2rem;
      display: flex;
      flex: 1;
      min-height: 100vh;
      align-items: center;
    }

    .clock {
      width: 30rem;
      height: 30rem;
      border: 20px solid white;
      border-radius: 50%;
      margin: 50px auto;
      position: relative;
      padding: 2rem;
      box-shadow:
        0 0 0 4px rgba(0,0,0,0.1),
        inset 0 0 0 3px #EFEFEF,
        inset 0 0 10px black,
        0 0 10px rgba(0,0,0,0.2);
    }

    .clock-face {
      position: relative;
      width: 100%;
      height: 100%;
      transform: translateY(-3px); /* account for the height of the clock hands */
    }

    .hand-hour {
      width: 50%;
      height: 6px;
      background: black;
      position: absolute;
      top: 50%;
      transform-origin: 100%;
      transform: rotate(90deg);
      transition: all 0.05s;
      transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
    }
    .hand-mins {
      width: 50%;
      height: 6px;
      background: black;
      position: absolute;
      top: 50%;
      transform-origin: 100%;
      transform: rotate(90deg);
      transition: all 0.05s;
      transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
    }
    .hand-seconds {
      width: 50%;
      height: 3px;
      background: white;
      position: absolute;
      top: 50%;
      transform-origin: 100%;
      transform: rotate(90deg);
      transition: all 0.05s;
      transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
    }
  </style>

  <script>
    //Declramos las manecillas del reloj, al buscalo con un querySelector y el nombre de la clase
    const hourHand = document.querySelector('.hand-hour');
    const minsHand = document.querySelector('.hand-mins');
    const secondHand = document.querySelector('.hand-seconds');

    function setDate(){
      //En esta funcion obtenemos la informacion del tiempo del dia
      //se generan 3 constantes para cada manecilla, Segundos, minutos y horas
      //se obtene el angulo, (Segundo / Segundo en un Minuto) multiplicandolo por el angulo total de un circulo y el angulo de 90, ya que este siempre tendra su punto de partida apartir del angulo de 90 grados
      const now = new Date();
      const seconds = now.getSeconds();
      const secondsDegrees = ((seconds / 60) * 360 + 90);
      secondHand.style.transform = `rotate(${secondsDegrees}deg)`;

      const mins = now.getMinutes();
      const minsDegrees = ((mins / 60 ) *360 + 90);
      minsHand.style.transform = `rotate(${minsDegrees}deg)`;

      const hour = now.getHours();
      const hourDegrees = ((hour / 12) * 360 + 90);
      hourHand.style.transform = `rotate(${hourDegrees}deg)`;

    }
    
    setInterval(setDate, 1000);
  </script>
</body>
</html>
